Get all Blueprint Steps on an automation blueprint Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/automation-blueprints/{automationBlueprint_uuid}/blueprint-steps

Path parameters

  • automationBlueprint_uuid string Required

Query parameters

  • include string

    included relations

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • sort string

    Field to sort by. Valid fields are [created_at, name]. Negative sign to denote DESC. Defaults to 'created_at'.

  • per_page integer

    the amount of audits per page (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        Uuid of the Blueprint Step

      • created_at string

        Datetime the Blueprint Step was created

      • updated string

        Datetime the Blueprint Step was updated

      • name string

        Description of the action that the automation step is taking

      • type string

        Type of action to take on this step

      • configuration object

        The configuration of this step

        Hide configuration attribute Show configuration attribute object
        • params object
          Hide params attribute Show params attribute object
          • account_uuid object
            Hide account_uuid attributes Show account_uuid attributes object
            • type string
            • value string
      • condition_state boolean

        If the step is a type of condition, this will be the branch that the step follows on.

      • parent_step_uuid string

        Uuid of the parent step, can be null if this is the root step

GET /api/v1/automation-blueprints/{automationBlueprint_uuid}/blueprint-steps
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/automation-blueprints/6ff8f7f6-1eb3-3525-be4a-3932c805afed/blueprint-steps' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    {
      "uuid": "b5518275-200e-43db-bdf0-9691051adf09",
      "created_at": "2026-06-08T16:08:03+01:00",
      "updated": "2026-06-08T16:08:03+01:00",
      "name": "create a new client",
      "type": "client.create",
      "configuration": {
        "params": {
          "account_uuid": {
            "type": "ref",
            "value": "trigger.account.uuid"
          }
        }
      },
      "condition_state": false,
      "parent_step_uuid": "be8b578a-7ec1-4f5c-b5e2-ea05c42e1408"
    }
  ]
}